Menu Content

Support

> Forums, FAQs & Paid Support
Welcome, Guest
Username Password: Remember me

Problem installing VM Reports
(1 viewing) (1) Guest
  • Page:
  • 1

TOPIC: Problem installing VM Reports

Problem installing VM Reports 8 years, 1 month ago #21702

Hello,

I've just installed VM Reports.
I'v not seen any install informations inside the package nor on your website.
So I don't know if there is a configuration file, but nothing is working so far.

Every menu (statistics, top lists ,other) returns the same error:

Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}'

Could you help me please ?


Regards,

G.D.
The topic has been locked.

Re: Problem installing VM Reports 8 years, 1 month ago #21718

Does anyone could help ?
Any documentation somwhere ?
I would hope a minimum support for a bug that come from a commercial plugin...
The topic has been locked.

Re: Problem installing VM Reports 8 years, 1 month ago #21722

  • jaku
  • OFFLINE
  • Posts: 2697
Hello,

I would bet this error occurs because you use old PHP version (v4 possibly?).
The VM Invoice requires PHP 5.2 or newer.
ARTIO Support Team
The topic has been locked.

Re: Problem installing VM Reports 8 years, 1 month ago #21727

Hello, and thank you for your reply.


Frist of all, I'm not talking about VM Invoice, but VM reports.
Second, there is no such requirements printed on the product page:

Compatibility
Server requirements

Component is fully compatible and tested with Joomla! 1.5.x and VirtueMart 1.1.x.
Brower requirements

Tested in Internet Explorer 7 and 8, Opera 10, Mozilla Firefox 3.6, Aurora 0.10.2.
Adobe Flash Player 10 needs to be installed.

Javascript does not need to be turned on for the frontend, but it is required in the administration. The browser must support AJAX technology.


(nothing about a PHP version requirement before buying)

Third, yes my PHP Version is: 4.4.9

What can I do to make it work please ?
Thank you in advance,


Regards,

G.D.
The topic has been locked.

Re: Problem installing VM Reports 8 years, 1 month ago #21736

I've got it.

If another user want some help, and do not want to pay hidden fees with "VIP" support...
I'll give him the solution:

Just put an .htaccess on the root administrator directory, containing:

SetEnv PHP_VER 5
The topic has been locked.

Re: Problem installing VM Reports 8 years ago #21878

  • jaku
  • OFFLINE
  • Posts: 2697
Hello,

thanks for your post.

Just a warning - using this directive does not have to be available on each server. It depends on server configuration and the level of defitions that can be overriden at the .htaccess level.
Generally this is only available on servers where both PHP v4 and v5 are available.

Anyway, please note that VM Reports requires PHP 5.1 or newer. Maybe the requirement was missing originally in the component description. It has been added now.
ARTIO Support Team
The topic has been locked.
  • Page:
  • 1
Moderators: pedu
User Login Empty